[arch-commits] Commit in weston/repos/community-x86_64 (PKGBUILD PKGBUILD)

Sébastien Luttringer seblu at archlinux.org
Tue Jul 2 12:05:12 UTC 2019


    Date: Tuesday, July 2, 2019 @ 12:05:11
  Author: seblu
Revision: 487255

archrelease: copy trunk to community-x86_64

Added:
  weston/repos/community-x86_64/PKGBUILD
    (from rev 487254, weston/trunk/PKGBUILD)
Deleted:
  weston/repos/community-x86_64/PKGBUILD

----------+
 PKGBUILD |   97 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 48 insertions(+), 49 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2019-07-02 12:04:54 UTC (rev 487254)
+++ PKGBUILD	2019-07-02 12:05:11 UTC (rev 487255)
@@ -1,49 +0,0 @@
-# Maintainer: Sébastien Luttringer
-# Contributor: Joel Teichroeb <joel at teichroeb.net>
-
-pkgname=weston
-pkgver=6.0.0
-pkgrel=1
-pkgdesc='Reference implementation of a Wayland compositor'
-arch=('x86_64')
-url='https://wayland.freedesktop.org/'
-license=('MIT')
-depends=('glibc' 'wayland' 'libxkbcommon' 'libinput' 'libunwind' 'pixman'
-         'libdrm' 'pam' 'systemd-libs' 'cairo' 'libpng' 'libjpeg-turbo' 'libwebp'
-         'mesa' 'libegl' 'libgles' 'glib2' 'pango' 'lcms2' 'mtdev' 'libx11'
-         'libxcb' 'dbus' 'libva' 'libxcursor' 'colord' 'freerdp')
-makedepends=('wayland-protocols' 'meson' 'ninja')
-validpgpkeys=('C7223EBE4EF66513B892598911A30156E0E67611' # Bryce Harrington
-              'C0066D7DB8E9AC6844D728715E54498E697F11D7') # Derek Foreman
-source=("https://wayland.freedesktop.org/releases/$pkgname-$pkgver.tar.xz"{,.sig}
-        "https://gitlab.freedesktop.org/wayland/weston/commit/cbffca980b19fd6a6de14d9f2b4dca6a7711d9e0.patch")
-md5sums=('7c634e262f8a464a076c97fd50ad36b3'
-         'SKIP'
-         '58467d89c63213af991d29035882d376')
-
-prepare() {
-  cd $pkgname-$pkgver
-  # apply patch from the source array (should be a pacman feature)
-  local src
-  for src in "${source[@]}"; do
-    src="${src%%::*}"
-    src="${src##*/}"
-    [[ $src = *.patch ]] || continue
-    msg2 "Applying patch $src..."
-    patch -Np1 < "../$src"
-  done
-}
-
-build() {
-  meson $pkgname-$pkgver build \
-    --prefix=/usr --libexec=lib/weston -Dsimple-dmabuf-drm=auto
-  ninja -C build
-}
-
-package() {
-  DESTDIR="$pkgdir" ninja -C build install
-  # license
-  install -Dm644 $pkgname-$pkgver/COPYING "$pkgdir/usr/share/licenses/$pkgname/COPYING"
-}
-
-# vim:set ts=2 sw=2 et:

Copied: weston/repos/community-x86_64/PKGBUILD (from rev 487254, weston/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2019-07-02 12:05:11 UTC (rev 487255)
@@ -0,0 +1,48 @@
+# Maintainer: Sébastien Luttringer
+# Contributor: Joel Teichroeb <joel at teichroeb.net>
+
+pkgname=weston
+pkgver=6.0.1
+pkgrel=1
+pkgdesc='Reference implementation of a Wayland compositor'
+arch=('x86_64')
+url='https://wayland.freedesktop.org/'
+license=('MIT')
+depends=('glibc' 'wayland' 'libxkbcommon' 'libinput' 'libunwind' 'pixman'
+         'libdrm' 'pam' 'systemd-libs' 'cairo' 'libpng' 'libjpeg-turbo' 'libwebp'
+         'mesa' 'libegl' 'libgles' 'glib2' 'pango' 'lcms2' 'mtdev' 'libx11'
+         'libxcb' 'dbus' 'libva' 'libxcursor' 'colord' 'freerdp')
+makedepends=('wayland-protocols' 'meson' 'ninja')
+validpgpkeys=('34FF9526CFEF0E97A340E2E40FDE7BE0E88F5E48' # emersion <contact at emersion.fr>
+              'C7223EBE4EF66513B892598911A30156E0E67611' # Bryce Harrington
+              'C0066D7DB8E9AC6844D728715E54498E697F11D7') # Derek Foreman
+source=("https://wayland.freedesktop.org/releases/$pkgname-$pkgver.tar.xz"{,.sig})
+md5sums=('e7b10710ef1eac82258f97bfd41fe534'
+         'SKIP')
+
+prepare() {
+  cd $pkgname-$pkgver
+  # apply patch from the source array (should be a pacman feature)
+  local src
+  for src in "${source[@]}"; do
+    src="${src%%::*}"
+    src="${src##*/}"
+    [[ $src = *.patch ]] || continue
+    msg2 "Applying patch $src..."
+    patch -Np1 < "../$src"
+  done
+}
+
+build() {
+  meson $pkgname-$pkgver build \
+    --prefix=/usr --libexec=lib/weston -Dsimple-dmabuf-drm=auto
+  ninja -C build
+}
+
+package() {
+  DESTDIR="$pkgdir" ninja -C build install
+  # license
+  install -Dm644 $pkgname-$pkgver/COPYING "$pkgdir/usr/share/licenses/$pkgname/COPYING"
+}
+
+# vim:set ts=2 sw=2 et:


More information about the arch-commits mailing list